Why Gemfury? Push, build, and install  RubyGems npm packages Python packages Maven artifacts PHP packages Go Modules Debian packages RPM packages NuGet packages

Repository URL to install this package:

Details    
@sushiswap/ui / tooltip / Tooltip.css
Size: Mime:
.rc-tooltip.rc-tooltip-zoom-appear,
.rc-tooltip.rc-tooltip-zoom-enter {
    opacity: 0;
}
.rc-tooltip.rc-tooltip-zoom-enter,
.rc-tooltip.rc-tooltip-zoom-leave {
    display: block;
}
.rc-tooltip-zoom-enter,
.rc-tooltip-zoom-appear {
    opacity: 0;
    animation-duration: 0.15s;
    animation-fill-mode: both;
    animation-timing-function: cubic-bezier(0.18, 0.89, 0.32, 1.28);
    animation-play-state: paused;
}
.rc-tooltip-zoom-leave {
    animation-duration: 0.15s;
    animation-fill-mode: both;
    animation-timing-function: cubic-bezier(0.6, -0.3, 0.74, 0.05);
    animation-play-state: paused;
}
.rc-tooltip-zoom-enter.rc-tooltip-zoom-enter-active,
.rc-tooltip-zoom-appear.rc-tooltip-zoom-appear-active {
    animation-name: rcToolTipZoomIn;
    animation-play-state: running;
}
.rc-tooltip-zoom-leave.rc-tooltip-zoom-leave-active {
    animation-name: rcToolTipZoomOut;
    animation-play-state: running;
}
@keyframes rcToolTipZoomIn {
    0% {
        opacity: 0;
        transform-origin: 50% 50%;
        transform: scale(0.95, 0.95);
    }
    100% {
        opacity: 1;
        transform-origin: 50% 50%;
        transform: scale(1, 1);
    }
}
@keyframes rcToolTipZoomOut {
    0% {
        opacity: 1;
        transform-origin: 50% 50%;
        transform: scale(1, 1);
    }
    100% {
        opacity: 0;
        transform-origin: 50% 50%;
        transform: scale(0.95, 0.95);
    }
}
.rc-tooltip {
    position: absolute;
    z-index: 1080;
    display: block;
    visibility: visible;
    line-height: 1.5;
    font-size: 12px;
    @apply text-slate-200 bg-slate-800 rounded-lg;
}
.rc-tooltip-hidden {
    display: none;
}
.rc-tooltip-inner {
    padding: 8px 10px;
    text-align: left;
    text-decoration: none;
    min-height: 34px;
    @apply border border-slate-700 shadow-[0px_0px_30px_5px_rgba(0,0,0,0.30)] rounded-lg;
}
.rc-tooltip-arrow,
.rc-tooltip-arrow-inner {
    position: absolute;
    width: 0;
    height: 0;
    border-color: transparent;
    border-style: solid;
}

.rc-tooltip-placement-top .rc-tooltip-arrow,
.rc-tooltip-placement-topLeft .rc-tooltip-arrow,
.rc-tooltip-placement-topRight .rc-tooltip-arrow {
    bottom: -6px;
    margin-left: -6px;
    border-width: 6px 6px 0;
    @apply border-t-slate-700;
}
.rc-tooltip-placement-top .rc-tooltip-arrow-inner,
.rc-tooltip-placement-topLeft .rc-tooltip-arrow-inner,
.rc-tooltip-placement-topRight .rc-tooltip-arrow-inner {
    bottom: 2px;
    margin-left: -5px;
    border-width: 5px 5px 0;
    @apply border-t-slate-800;
}
.rc-tooltip-placement-top .rc-tooltip-arrow {
    left: 50%;
}
.rc-tooltip-placement-topLeft .rc-tooltip-arrow {
    left: 15%;
}
.rc-tooltip-placement-topRight .rc-tooltip-arrow {
    right: 15%;
}
.rc-tooltip-placement-right .rc-tooltip-arrow,
.rc-tooltip-placement-rightTop .rc-tooltip-arrow,
.rc-tooltip-placement-rightBottom .rc-tooltip-arrow {
    left: -6px;
    margin-top: -6px;
    border-width: 6px 6px 6px 0;
    @apply border-r-slate-700;
}
.rc-tooltip-placement-right .rc-tooltip-arrow-inner,
.rc-tooltip-placement-rightTop .rc-tooltip-arrow-inner,
.rc-tooltip-placement-rightBottom .rc-tooltip-arrow-inner {
    left: 2px;
    margin-top: -5px;
    border-width: 5px 5px 5px 0;
    @apply border-r-slate-800;
}
.rc-tooltip-placement-right .rc-tooltip-arrow {
    top: 50%;
}
.rc-tooltip-placement-rightTop .rc-tooltip-arrow {
    top: 15%;
    margin-top: 0;
}
.rc-tooltip-placement-rightBottom .rc-tooltip-arrow {
    bottom: 15%;
}
.rc-tooltip-placement-left .rc-tooltip-arrow,
.rc-tooltip-placement-leftTop .rc-tooltip-arrow,
.rc-tooltip-placement-leftBottom .rc-tooltip-arrow {
    right: -6px;
    margin-top: -6px;
    border-width: 6px 0 6px 6px;
    @apply border-l-slate-700;
}
.rc-tooltip-placement-left .rc-tooltip-arrow-inner,
.rc-tooltip-placement-leftTop .rc-tooltip-arrow-inner,
.rc-tooltip-placement-leftBottom .rc-tooltip-arrow-inner {
    right: 2px;
    margin-top: -5px;
    border-width: 5px 0 5px 5px;
    @apply border-l-slate-800;
}
.rc-tooltip-placement-left .rc-tooltip-arrow {
    top: 50%;
}
.rc-tooltip-placement-leftTop .rc-tooltip-arrow {
    top: 15%;
    margin-top: 0;
}
.rc-tooltip-placement-leftBottom .rc-tooltip-arrow {
    bottom: 15%;
}
.rc-tooltip-placement-bottom .rc-tooltip-arrow,
.rc-tooltip-placement-bottomLeft .rc-tooltip-arrow,
.rc-tooltip-placement-bottomRight .rc-tooltip-arrow {
    top: -6px;
    margin-left: -6px;
    border-width: 0 6px 6px;
    @apply border-b-slate-700;
}
.rc-tooltip-placement-bottom .rc-tooltip-arrow-inner,
.rc-tooltip-placement-bottomLeft .rc-tooltip-arrow-inner,
.rc-tooltip-placement-bottomRight .rc-tooltip-arrow-inner {
    top: 2px;
    margin-left: -5px;
    border-width: 0 5px 5px;
    @apply border-b-slate-800;
}
.rc-tooltip-placement-bottom .rc-tooltip-arrow {
    left: 50%;
}
.rc-tooltip-placement-bottomLeft .rc-tooltip-arrow {
    left: 15%;
}
.rc-tooltip-placement-bottomRight .rc-tooltip-arrow {
    right: 15%;
}